@keyframes colorPulse {
    0% {
        color: #e33424;
    }
    50% {
        color: #576482;
    }
    100% {
        color: #e33424;
    }
}
.ps {
    overflow: hidden !important;
    overflow-anchor: none;
    -ms-overflow-style: none;
    touch-action: auto;
    -ms-touch-action: auto;
}

/*@media (max-width: 1024px){*/
/*    .app-sidebar {*/
/*        position: fixed;*/
/*        top: 50px !important;*/
/*        bottom: 0;*/
/*        left: 0;*/
/*        margin-top: 0px;*/
/*        width: 260px;*/
/*        max-height: 100%;*/
/*        z-index: 1000;*/
/*        background: #fff !important;*/
/*        border-right: 1px solid #dbe2eb;*/
/*        box-shadow: 0px 8px 14.72px 1.28px #ebe9ed;*/
/*        -webkit-transition: left 0.3s ease, width 0.3s ease;*/
/*        transition: left 0.3s ease, width 0.3s ease;*/
/*    }*/
/*    .app-sidebar__logo{*/
/*        display: none;*/
/*    }*/
/*    .app-sidebar__user{*/
/*        margin-top: 0px !important;*/
/*    }*/
/*}*/
.app-sidebar {
    margin-top: 0px;
    width: 260px;
    z-index: 1000;
    background: #fff !important;
    border-right: 1px solid #dbe2eb;
    /*box-shadow: 0px 8px 14.72px 1.28px #ebe9ed;*/
    -webkit-transition: left 0.3s ease, width 0.3s ease;
    transition: left 0.3s ease, width 0.3s ease;
}

.slide-menu {
    .sub-slide {
        .sub-side-menu__item {
            .sub-side-menu__label {
                display: block;
                max-width: 89%;
                white-space: nowrap;
                overflow: hidden;
                line-height: normal;
                text-overflow: ellipsis;
            }
            .sub-side-menu__label__email {
                font-size: 12px;
            }
        }
    }
}

@media (max-width: 768px) {
    .app-sidebar__logo {
        padding: 13px 15px;
        border-bottom: 1px solid #dbe2eb;
        border-right: 1px solid #dbe2eb;
        height: 70px !important;
        text-align: center;
        width: 260px;
        z-index: 999999;
        position: fixed;
        background: #fff;
        -webkit-transition: left 0.3s ease, width 0.3s ease;
        -o-transition: left 0.3s ease, width 0.3s ease;
        transition: left 0.3s ease, width 0.3s ease;
    }
}

.app-sidebar__logo {
    padding: 13px 15px;
    /*border-bottom: 1px solid #dbe2eb;*/
    /*border-right: 1px solid #dbe2eb;*/
    height: 70px;
    width: 260px;
    z-index: 999999;
    position: fixed;
    background: #fff;
    -webkit-transition: left 0.3s ease, width 0.3s ease;
    -o-transition: left 0.3s ease, width 0.3s ease;
    transition: left 0.3s ease, width 0.3s ease;
    box-shadow: -9px 0 20px rgba(89, 102, 122, 0.1);
    display: flex;
    align-items: center;
    justify-content: center;
}

.header-brand {
    color: inherit;
    margin-right: 0;
    font-size: 1.25rem;
    white-space: nowrap;
    font-weight: 600;
    padding: 0;
    transition: .3s opacity;
    line-height: 2.9rem;
    outline: none;
}

.header-brand-img {
    height: 2.8rem;
    vertical-align: middle;
    margin-right: 0;
    width: auto;
    transform-origin: left;
    max-width: 210px;
}

.app-sidebar__user {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    color: #1a1630;
    width: 100%;
    padding: 20px;
    display: inline-block;
    border-bottom: 1px solid #ebecf1;
}

.app-sidebar__user {
    margin-top: 74px;
}

.app-sidebar__user .user-pic {
    margin-bottom: 12px;
}

.app-sidebar__user .user-pic img {
    box-shadow: 0 0 0 4px #eeeef3;
    border: 3px solid #ebeef1;
    width: 58px;
    height: 58px;
    margin-top: 8px;
}

.rounded-circle {
    border-radius: 50% !important;
}

.avatar-xl {
    width: 4rem !important;
    height: 4rem !important;
    line-height: 4rem;
    font-size: 1.75rem;
}

.app-sidebar__user .user-pic img:after {
    content: "";
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: #8760fb;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

.app-sidebar__user-name.text-sm {
    font-size: 12px;
    font-weight: 400;
}

.app-sidebar__user-name {
    font-size: 17px;
    line-height: 1.3;
    white-space: nowrap;
    overflow: hidden;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    margin-bottom: 0;
    overflow: hidden;
    font-weight: 600;
    font-size: 15px;
    margin-top: 5px !important;
}

.app-sidebar__user .user-info i {
    font-size: 12px;
}


.app-sidebar__user .user-info h5 {
    font-size: 1rem;
}

.app-sidebar .sidebar-navs {
    padding: 10px 0px 0px 0px;
}

.app-sidebar .nav {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
}

.app-sidebar .nav-link, .app-sidebar .nav-item {
    min-width: 2rem;
    transition: .3s color;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: pointer;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
}

.app-sidebar .sidebar-navs a {
    background: #fff;
    color: #68798b !important;
    border-radius: 50px;
    padding: 0.5rem !important;
    margin: 12px 8px 0 8px;
    border-radius: 50px;
    box-shadow: 0px 2px 3px rgba(4, 4, 7, 0.1);
    border: 1px solid #ebecf1;
    width: 38px;
    height: 38px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.app-sidebar .sidebar-navs .header-icons {
    color: #5c678f;
    fill: #5c678f;
    font-size: 18px;
    vertical-align: middle;
}

.app-sidebar .side-menu {
    margin-bottom: 0;
    list-style-type: none;
    padding: 65px 0 40px 0;
    max-height: calc(100vh - 10px);
    overflow-y: auto;
}

.app-sidebar .side-item.side-item-category {
    color: #1a1630;
    font-size: 11px;
    text-transform: uppercase;
    font-weight: 700;
    letter-spacing: .5px;
    margin-bottom: 12px;
    padding: 0 20px 0 20px;
}

.app-sidebar .side-menu__item.active, .app-sidebar .side-menu__item:hover, .app-sidebar .side-menu__item:focus {
    text-decoration: none;
    background: #ebeef1;
    color: #1a1630;


}

.app-sidebar .side-menu__item {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 2.5px 17px 3px 5px;
    font-size: 14px;
    font-weight: 400;
    -webkit-transition: border-left-color 0.3s ease, background-color 0.3s ease;
    -o-transition: border-left-color 0.3s ease, background-color 0.3s ease;
    transition: border-left-color 0.3s ease, background-color 0.3s ease;
    color: #1a1630;
    margin: 6px 5px 6px 12px;
    border-radius: 50px;
}

.app-sidebar .side-menu .side-menu__icon {
    font-size: 25px;
    line-height: 30px;
    text-align: center;
    vertical-align: middle;
    margin-right: 12px;
    width: 35px;
    height: 35px;
    background: #fff;
    padding: 7px;
    border-radius: 50px;
    box-shadow: 0px 2px 3px rgba(4, 4, 7, 0.1);
    border: 1px solid #ebecf1;
}

.app-sidebar .side-menu__label {
    white-space: nowrap;
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    font-size: 14px;
    font-weight: 400;
    letter-spacing: .6px;
    opacity: 1;
    height: auto;
    transition: width 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.app-sidebar .badge {
    display: inline-block;
    padding: 3px 5px 4px;
    font-size: 10px;
    font-weight: 500;
    line-height: 1.2;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 3px;
}

.app-sidebar .badge-danger {
    color: #fff;
    background-color: #dc0441;
}

.app-sidebar .side-item.side-item-category:not(:first-child) {
    margin-top: 25px;
    margin-bottom: 15px;
}

.app-sidebar .slide-menu {
    max-height: 0;
    overflow: hidden;
    padding: 0;
    font-size: .8rem !important;
    -webkit-transition: max-height 0.3s ease;
    -o-transition: max-height 0.3s ease;
    transition: max-height 0.3s ease;
}

.app-sidebar .slide-menu .slide-item {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 8px 14px 8px 55px;
    font-size: 12px;
    color: #576482;
}

.app-sidebar .slide-menu a:before {
    content: "";
    display: inline-block;
    width: 9px;
    height: 9px;
    margin-right: 8px;
    border: 1.5px solid #959595;
    background-color: #ffffff;
    border-radius: 50%;
    position: relative;
    top: -1px;
    opacity: 0.9;
    z-index: 999;
}


.main_top_slide {
    a {
        color: var(--theme-deafult);
        font-weight: 600;
    }
}


/*
 * Container style
 */
.ps {
    position: relative;
    overflow: hidden !important;
    overflow-anchor: none;
    -ms-overflow-style: none;
    touch-action: auto;
    -ms-touch-action: auto;
}

/*
 * Scrollbar rail styles
 */
.ps__rail-x {
    display: none;
    opacity: 0;
    transition: background-color .2s linear, opacity .2s linear;
    -webkit-transition: background-color .2s linear, opacity .2s linear;
    height: 15px;
    /* there must be 'bottom' or 'top' for ps__rail-x */
    bottom: 0px;
    /* please don't change 'position' */
    position: absolute;
}

.ps__rail-y {
    display: none;
    opacity: 0;
    transition: background-color .2s linear, opacity .2s linear;
    -webkit-transition: background-color .2s linear, opacity .2s linear;
    width: 15px;
    /* there must be 'right' or 'left' for ps__rail-y */
    right: 0;
    /* please don't change 'position' */
    position: absolute;
}

.ps--active-x > .ps__rail-x,
.ps--active-y > .ps__rail-y {
    display: block;
    background-color: transparent;
}

.ps:hover > .ps__rail-x,
.ps:hover > .ps__rail-y,
.ps--focus > .ps__rail-x,
.ps--focus > .ps__rail-y,
.ps--scrolling-x > .ps__rail-x,
.ps--scrolling-y > .ps__rail-y {
    opacity: 0.6;
}

.ps .ps__rail-x:hover,
.ps .ps__rail-y:hover,
.ps .ps__rail-x:focus,
.ps .ps__rail-y:focus,
.ps .ps__rail-x.ps--clicking,
.ps .ps__rail-y.ps--clicking {
    background-color: transparent;
    opacity: 0.9;
}

/*
 * Scrollbar thumb styles
 */
.ps__thumb-x {
    background-color: rgba(67, 87, 133, .09);
    border-radius: 6px;
    transition: background-color .2s linear, height .2s ease-in-out;
    -webkit-transition: background-color .2s linear, height .2s ease-in-out;
    height: 6px;
    /* there must be 'bottom' for ps__thumb-x */
    bottom: 2px;
    /* please don't change 'position' */
    position: absolute;
}

.ps__thumb-y {
    background-color: rgba(67, 87, 133, .09);
    border-radius: 6px;
    transition: background-color .2s linear, width .2s ease-in-out;
    -webkit-transition: background-color .2s linear, width .2s ease-in-out;
    width: 3px;
    /* there must be 'right' for ps__thumb-y */
    right: 2px;
    /* please don't change 'position' */
    position: absolute;
}

.ps__rail-x:hover > .ps__thumb-x,
.ps__rail-x:focus > .ps__thumb-x,
.ps__rail-x.ps--clicking .ps__thumb-x {
    background-color: rgba(67, 87, 133, .09);
    height: 11px;
}

.ps__rail-y:hover > .ps__thumb-y,
.ps__rail-y:focus > .ps__thumb-y,
.ps__rail-y.ps--clicking .ps__thumb-y {
    background-color: rgba(67, 87, 133, .09);
    width: 3px;
}

/* MS supports */
@supports (-ms-overflow-style: none) {
    .ps {
        overflow: auto !important;
    }
}

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    .ps {
        overflow: auto !important;
    }
}

.side-menu i {
    transition: 300ms all ease;
}

.slide.is-expanded > .slide-menu {
    max-height: 350vh;
    -webkit-transition: max-height 2s ease;
    -o-transition: max-height 2s ease;
    transition: max-height 2s ease;
    animation-name: fadeInUp;
}

.sub-slide.is-expanded > .slide-menu {
    max-height: 350vh;
    -webkit-transition: max-height 2s ease;
    -o-transition: max-height 2s ease;
    transition: max-height 2s ease;
    animation-name: fadeInUp;
}

.slide.is-expanded a.sub-side-menu__item {
    position: relative;
}

.is-expanded > a i {
    transform: rotate(90deg);
}

.sub-side-menu__item {
    padding-left: 28px !important;
    padding-right: 20px !important;
    height: 40px !important;
    display: flex;
    align-items: center;
    line-height: 40px;
    font-size: 13px;
    color: #576482;
}

.sub-slide .sub-slide .sub-side-menu__item {
    padding-left: 43px !important;
}

.sub-slide .sub-slide .sub-slide .sub-side-menu__item {
    padding-left: 60px !important;
}

.sub-slide .sub-slide .sub-slide .sub-slide .sub-side-menu__item {
    padding-left: 75px !important;
}

.sub-slide .sub-slide .sub-slide .sub-slide .sub-slide .sub-side-menu__item {
    padding-left: 90px !important;
}

.sub-side-menu__item i {
    margin-left: auto;
    margin-right: 3px;
}

.sub-slide-menu {
    max-height: 0;
    overflow: hidden;
    -webkit-transition: max-height 0.9s ease;
    -o-transition: max-height 0.9s ease;
    transition: max-height 0.9s ease;
    padding: 0;
    font-size: .8rem !important;
    padding-left: 0;
    list-style: none;
}

.sub-slide.is-expanded .sub-slide-menu {
    max-height: 100vh;
    -webkit-transition: max-height 2s ease;
    -o-transition: max-height 2s ease;
    transition: max-height 2s ease;
}

.sub-slide-item {
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    position: relative;
    list-style: none;
    height: 30px;
    padding: 0 0 0 25px !important;
    padding-left: 70px !important;
    height: 28px !important;
    padding: 19px 0 19px 70px !important;
    font-size: 12px;
    color: #576482;
}

.sub-angle {
    float: right;
    line-height: 40px;
    margin-top: 12px;
    font-size: 9px;
}


.ps--active-y.w-0 .side-menu__item {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    font-size: 14px;
    gap: 5px;
    font-weight: 400;
    -webkit-transition: border-left-color 0.3s ease, background-color 0.3s ease;
    -o-transition: border-left-color 0.3s ease, background-color 0.3s ease;
    transition: border-left-color 0.3s ease, background-color 0.3s ease;
    color: #1a1630;
    border-radius: 0px;
    flex-direction: column;
    padding: 0px !important;
    margin: 10px 0px !important;
}

.kapali .side-menu__icon {
    margin: 0px !important;
}

.kapali .fa-angle-right {
    display: none;
}

.kapali .nav-pills-circle {
    justify-content: center;
}

.kapali .header-brand-img {
    transform: scale(1) !important;
}

.kapali .side-menu__label {
    display: none !important;
}

.kapali .avatar-xl {
    width: 100% !important;
    height: 100% !important;
}

.kapali .d-none-img {
    display: block;
    transform: scale(1.1) !important;
    height: 2.5rem !important;
}

.kapali .header-brand-img-1 {
    display: none;
}

.kapali .nav-item {
    flex-direction: column;
    justify-content: center;
}

.kapali .sub-slide {
    display: none;
}

/*new ui slider css*/
.new_ui_sidebar {
    .slide.is-expanded > a:first-child {
        text-decoration: none;
        background: #ebeef1;
        color: #1a1630;
    }

    .slide.is-expanded a.sub-side-menu__item {
        &:hover,&.active {
            color: var(--theme-deafult) !important;

            &:before {
                border-color: var(--theme-deafult) !important;
                background-color: var(--theme-deafult) !important;
            }
        }
    }

    .slide-menu {
        position: relative;

        &::before {
            content: "";
            position: absolute;
            top: 49.8%;
            width: 1px;
            height: 100%;
            transform: translateY(-50%);
            background-color: #43494d;
            opacity: .3;
            z-index: 1;

            left: var(--tree-offset, 32px);
        }

    }

    .slide-menu.is-single::before {
        height: 100% !important;
    }

    @media (min-width: 2000px) {
        .slide {
            --tree-offset: 30px;
        }

        .sub-slide {
            --tree-offset: 45px;
        }

        .sub-slide .sub-slide {
            --tree-offset: 57px;
        }
    }

    .slide {
        --tree-offset: 32px;
    }

    .sub-slide {
        --tree-offset: 47px;
    }

    .sub-slide .sub-slide {
        --tree-offset: 64px;
    }

    .sub-slide .sub-slide .sub-slide {
        --tree-offset: 79px;
    }

    .sub-slide .sub-slide .sub-slide .sub-slide {
        --tree-offset: 93px;

        & a::before {
            width: 10px !important;
        }
    }

    .is-pulsing {
        animation: colorPulse 1.5s ease-in-out infinite;
    }

}




